commit: 0fb6c07914699ade95c19fe842653ff18b960452
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 8 10:32:28 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Mar 8 11:35:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fb6c079
app-crypt/acme-tiny: add python 3.12
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
app-crypt/acme-tiny/acme-tiny-5.0.1-r2.ebuild | 35 +++++++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/app-crypt/acme-tiny/acme-tiny-5.0.1-r2.ebuild
b/app-crypt/acme-tiny/acme-tiny-5.0.1-r2.ebuild
new file mode 100644
index 000000000000..248ebad7185f
--- /dev/null
+++ b/app-crypt/acme-tiny/acme-tiny-5.0.1-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python{3_10,3_11,3_12} )
+
+DISTUTILS_USE_PEP517="setuptools"
+
+inherit distutils-r1
+
+SRC_URI="https://github.com/diafygi/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+DESCRIPTION="A tiny, auditable script for Let's Encrypt's ACME Protocol"
+HOMEPAGE="https://github.com/diafygi/acme-tiny"
+
+LICENSE="MIT"
+SLOT="0"
+
+BDEPEND="dev-python/setuptools-scm[${PYTHON_USEDEP}]"
+RDEPEND="dev-libs/openssl:0"
+
+# Tests require a local ACME server to be set up.
+RESTRICT="test"
+
+pkg_setup() {
+ export SETUPTOOLS_SCM_PRETEND_VERSION="${PV}"
+}
+
+src_prepare() {
+ sed -i 's|#!/usr/bin/sh|#!/bin/sh|g' README.md || die
+
+ distutils-r1_src_prepare
+}